org.appng.testsupport.persistence

## Class ConnectionHelper

- java.lang.Object
- - org.appng.testsupport.persistence.ConnectionHelper

-     public class ConnectionHelper
      extends Object

  Utility class that helps retrieving a `ConnectionInfo`.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectionHelper.DBType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HIBERNATE_CONNECTION_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionInfo` | `getConnectionInfo()`
    `static ConnectionInfo` | `getConnectionInfo(ConnectionHelper.DBType type)`
    `static ConnectionInfo` | `getHSqlConnectionInfo()`
    `static ConnectionInfo` | `getHSqlConnectionInfo(int port)`
    `static ConnectionInfo` | `getHSqlConnectionInfo(String database, int port, String persistenceUnit, String user, String password)`
    `static ConnectionInfo` | `getHSqlConnectionInfo(String database, String persistenceUnit, String user, String password)`
    `static int` | `getHsqlPort()`
    `static ConnectionInfo` | `getMySqlConnectionInfo()`
    `static ConnectionInfo` | `getMySqlConnectionInfo(String database, String persistenceUnit, String user, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HIBERNATE_CONNECTION_URL

          public static final String HIBERNATE_CONNECTION_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionHelper

          public ConnectionHelper()

  - ### Method Detail

    - #### getMySqlConnectionInfo

          public static ConnectionInfo getMySqlConnectionInfo()

    - #### getHSqlConnectionInfo

          public static ConnectionInfo getHSqlConnectionInfo(int port)

    - #### getHSqlConnectionInfo

          public static ConnectionInfo getHSqlConnectionInfo()

    - #### getMySqlConnectionInfo

          public static ConnectionInfo getMySqlConnectionInfo(String database,
                                                              String persistenceUnit,
                                                              String user,
                                                              String password)

    - #### getHSqlConnectionInfo

          public static ConnectionInfo getHSqlConnectionInfo(String database,
                                                             int port,
                                                             String persistenceUnit,
                                                             String user,
                                                             String password)

    - #### getHsqlPort

          public static int getHsqlPort()

    - #### getHSqlConnectionInfo

          public static ConnectionInfo getHSqlConnectionInfo(String database,
                                                             String persistenceUnit,
                                                             String user,
                                                             String password)

    - #### getConnectionInfo

          public static ConnectionInfo getConnectionInfo()

    - #### getConnectionInfo

          public static ConnectionInfo getConnectionInfo(ConnectionHelper.DBType type)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.